/* Filtro de vehículos */
aside {

    height: fit-content;
  }
  
  aside h2 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
  }
  
  aside .form-label {
    font-size: 0.9rem;
    font-weight: bold;
  }
  
  aside .btn-yellow {
    background-color: var(--secondary);
    border: none;
    color: black;
    padding: 0.5rem 1.5rem;
    font-size: 1rem;
    /* font-weight: bold; */
  }

  .btn-gbc{
    border: none;
    padding: 0.5rem 1.5rem;
    font-size: 1rem;
  }
  
  aside .btn-yellow:hover {
    background-color: #e6e600;
    color: black;
  }
  
  /* Tarjetas de vehículos */
  .vehicle-card {
    background-color: #f2f2f2;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    cursor: pointer;
  }
  
  
  .vehicle-card h3 {
    font-size: 1.5rem;
    font-weight: bold;
  }
  
  .vehicle-card p {
    margin: 0.5rem 0;
  }
  

  .vehicle-img{
    height: 18rem;
    background-image: url("../imgs/cars/Volvojpg.jpg");
    background-repeat: no-repeat;
    /* background-attachment: fixed; */
    background-position: center;
    background-size: contain;
    border-radius: 10px;
  }
  

  .list-vehicle-card > .list-group-item{
    background-color: #f2f2f2;
    border: none !important;
    /* padding: .6rem 1rem !important; */
    /* text-align: center !important; */
    display: flex !important;
  }

  .vehicle-card img {
    border-radius: 10px;
  }
  
  /* .container-vehicles-cards{
    height: 45rem;
    overflow-y: scroll;
    
  } */



  /*! Estilos generales */
.filters-carousel .owl-carousel .filter-item {
  padding: 10px;
}

.filters-carousel .filter-item {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

/* Para el botón de colapsado */
.filter-form-collapsed form {
  display: none;
}

.filter-form-expanded form {
  display: block;
}

/* Ajustes de formulario en móviles */
@media (max-width: 768px) {
  .filters-carousel .filter-item {
      min-width: 80%; /* Ajusta este valor según sea necesario */
  }
  
  /* Contenedor de vehículos: eliminar el alto fijo */
  .container-vehicles-cards {
      height: auto;
      overflow-y: visible;
  }
}

/*! Estilos generales para las pantallas grandes */
.filters-container {
  display: flex;
  flex-direction: column;
}

/* Para pantallas pequeñas (móviles) */
@media (max-width: 768px) {
  .filters-container {
      display: flex;
      flex-wrap: nowrap;
      overflow-x: auto; /* Permite el desplazamiento horizontal en móviles */
  }

  .filters-container .filter-item {
      min-width: 80%; /* Asegura que cada filtro ocupe el ancho suficiente */
      margin-right: 10px;
  }
}


